      interface to function setcolor(color)
      integer*2 setcolor[far,c,alias:"__setcolor"]
      integer*2 color
      end
      interface to subroutine moveto[far,c,alias:"__moveto"](x,y,s)
      integer*2 x,y
      structure/xycoord/
       integer*2 xcoord
       integer*2 ycoord
      end structure
      record/xycoord/s[far,reference]
      end
      interface to function lineto(x,y)
      integer*2 lineto[far,c,alias:"__lineto"]
      integer*2 x,y
      end
c      interface to subroutine makel [c] (x1,y1,x2,y2,icolor)
c      integer x1 [reference]
c      integer y1 [reference]
c      integer x2 [reference]
c      integer y2 [reference]
c      integer icolor [reference]
c      end
c      interface to subroutine egalin(a,b,c,d,e)
c      integer*2 a,b,c,d,e
c      end
c      interface to subroutine cgalin(a,b,c,d,e)
c      integer*2 a,b,c,d,e
c      end
      subroutine raster(x1,y1,x2,y2,icolor)
$INCLUDE:'pxz99.cmn'
      include 'fgraph.fd'
      integer x1,y1,x2,y2,icolor
      integer*2 a,b,c,d,e,f
      record /xycoord/ xy
      a=x1
      b=y1
      c=x2
      d=y2
      e=icolor
c      call makel(x1,y1,x2,y2,icolor)
      go to (100,100,100,100,100,100,100,
     1 100,10,20,20,20),ipltr
c10    call cgalin(a,b,c,d,e)
c      print *,' return from cgalin'
10    continue
20    f=setcolor(e)
      call moveto(a,b,xy)
      f=lineto(c,d)
c      go to 100
c20    print *,' calling egalin'
c20    call egalin(a,b,c,d,e)
c20    continue
c      print *,' return from egalin'
100   return
      end
